body {
    color: #d4d4d4;
    background-color: #1a1a1a;
}

body::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -2;
    background-image: url("./images/aboutpage.jpg");
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
}

body::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    background: rgba(0, 0, 0, 0.442);
}

.content-box {
    background: rgba(0, 0, 0, 0.25);
}

.content-box h2 {
    color: rgb(255, 255, 255);
}

.content-box p {
    color: rgb(255, 255, 255);
}

.nav-btn {
    color: rgba(255, 255, 255, 0.85);
}

.nav-btn:hover {
    color: rgba(255, 255, 255, 1);
    background: rgba(0, 0, 0, 0.2);
    border-color: rgba(255, 255, 255, 0.1);
}

.nav-btn:hover .nav-icon {
    opacity: 0.9;
}

.dropdown-content {
    background: #304564;
    /*backdrop-filter: blur(10px);*/
}

.dropdown-content a {
    color: rgba(255, 255, 255, 0.8);
}

.dropdown-content a:hover {
    color: rgba(255, 255, 255, 0.9);
    background: #344e88;
    border-left: 2px solid rgba(255, 255, 255, 0.2);
}

.easter-egg-img {
    height: 30px;
    width: 30px;
    rotate: -50deg;
    position: absolute;
    left: -10px;
    top: -10px;
    z-index: 999;
    opacity: 0.3;
    cursor: pointer;
    transition: all ease 0.3s;
}

.easter-egg-img:hover {
    opacity: 1;
    translate: 10px 10px;
    rotate: 0deg;
}

.easter-popup {
    position: fixed;
    bottom: -80px;
    left: 50%;
    transform: translateX(-50%);
    background-image: url("./images/easter-egg-rainbow.gif");
    color: rgb(255, 255, 255);
    padding: 15px 30px;
    border-radius: 10px;
    font-size: 18px;
    font-family: fantasy;
    box-shadow: 0 -5px 30px rgba(0, 0, 0, 0.5);
    transition: bottom 0.5s ease, opacity 0.5s ease;
    z-index: 1000;
    border: 1px solid rgba(255, 255, 255, 0.1);
    opacity: 0;
    pointer-events: none;
}

.easter-popup.show {
    bottom: 40px;
    opacity: 1;
}

.easter-popup.hide {
    bottom: -80px;
    opacity: 0;
}

.easter-popup p {
    margin: 0;
    padding: 0;
}